hpp-corbaserver: CenterOfMassComputation Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
CenterOfMassComputation Class Reference

`#include <hpp/pinocchio_idl/robots-idl.hh>`

Inheritance diagram for CenterOfMassComputation:
[legend]
Collaboration diagram for CenterOfMassComputation:
[legend]

## Public Types
typedef CenterOfMassComputation_ptr | _ptr_type
typedef CenterOfMassComputation_var | _var_type

## Public Member Functions
virtual | ~CenterOfMassComputation ()
inline ::hpp::pinocchio_idl::CenterOfMassComputation_ptr | _this ()

## Static Public Member Functions
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)

## Static Public Attributes
static _core_attr const char * | _PD_repoId

## Member Typedef Documentation

## ◆ _ptr_type

typedef CenterOfMassComputation_ptr CenterOfMassComputation::_ptr_type

## ◆ _var_type

typedef CenterOfMassComputation_var CenterOfMassComputation::_var_type

## Constructor & Destructor Documentation

## ◆ ~CenterOfMassComputation()

virtual CenterOfMassComputation::~CenterOfMassComputation | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _duplicate()

static _ptr_type CenterOfMassComputation::_duplicate | ( | _ptr_type |  | ) |
| static

## ◆ _fromObjRef()

static _ptr_type CenterOfMassComputation::_fromObjRef | ( | omniObjRef * | o | ) |
| inline static

## ◆ _marshalObjRef()

_CORBA_MODULE_END _CORBA_MODULE_END _CORBA_MODULE OBV_hpp _CORBA_MODULE_BEG _CORBA_MODULE pinocchio_idl _CORBA_MODULE_BEG _CORBA_MODULE_END _CORBA_MODULE_END void CenterOfMassComputation::_marshalObjRef | ( | _ptr_type | ,
|  | cdrStream & |
| ) |  |
| inline static

## ◆ _narrow()

static _ptr_type CenterOfMassComputation::_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _nil()

static _ptr_type CenterOfMassComputation::_nil | ( |  | ) |
| static

## ◆ _this()

inline ::hpp::pinocchio_idl::CenterOfMassComputation_ptr CenterOfMassComputation::_this | ( |  | ) |
| inline

## ◆ _unchecked_narrow()

static _ptr_type CenterOfMassComputation::_unchecked_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _unmarshalObjRef()

static _ptr_type CenterOfMassComputation::_unmarshalObjRef | ( | cdrStream & | s | ) |
| inline static

## Member Data Documentation

## ◆ _PD_repoId

_core_attr const char* CenterOfMassComputation::_PD_repoId
| static

The documentation for this class was generated from the following file:

- src/hpp/pinocchio_idl/robots-idl.hh